package com.srs.comprehensive.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

/**
 * 综合评价对象 srs_ce_score
 * 
 * @author srs
 * @date 2023-06-28
 */
public class SrsCeScore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 综合评价id */
    private Long id;

    /** 学生id */
    @Excel(name = "学生id")
    private Long stuId;

    /** 学年id */
    @Excel(name = "学年id")
    private Long stuYearId;

    /** 综合评价分数 */
    @Excel(name = "综合评价分数")
    private BigDecimal ceScore;

    @Excel(name = "学号")
    private String stuNo;

    /** 删除标志（0代表存在 */
    private String delFlag;
    private SrsStudent student;

    /** 学院id */
    private Long deptId;

    /** 专业id */
    private Long majorId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setStuId(Long stuId) 
    {
        this.stuId = stuId;
    }

    public Long getStuId() 
    {
        return stuId;
    }
    public void setStuYearId(Long stuYearId) 
    {
        this.stuYearId = stuYearId;
    }

    public Long getStuYearId() 
    {
        return stuYearId;
    }
    public void setCeScore(BigDecimal ceScore) 
    {
        this.ceScore = ceScore;
    }

    public BigDecimal getCeScore() 
    {
        return ceScore;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("stuId", getStuId())
            .append("stuYearId", getStuYearId())
            .append("ceScore", getCeScore())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }

    public SrsStudent getStudent() {
        return student;
    }

    public void setStudent(SrsStudent student) {
        this.student = student;
    }

    public String getStuNo() {
        return stuNo;
    }

    public void setStuNo(String stuNo) {
        this.stuNo = stuNo;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getMajorId() {
        return majorId;
    }

    public void setMajorId(Long majorId) {
        this.majorId = majorId;
    }
}
